gi-atk-2.0.22: Atk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Atk.Objects.Plug

Contents

- Exported types
- Methods
  - Overloaded methods
  - getId
  - new
  - setChild

Description

See `Socket`

Synopsis

- newtype Plug = Plug (ManagedPtr Plug)
- class (GObject o, IsDescendantOf Plug o) => IsPlug o
- toPlug :: (MonadIO m, IsPlug o) => o -> m Plug
- plugGetId :: (HasCallStack, MonadIO m, IsPlug a) => a -> m Text
- plugNew :: (HasCallStack, MonadIO m) => m Plug
- plugSetChild :: (HasCallStack, MonadIO m, IsPlug a, IsObject b) => a -> b -> m ()

# Exported types

newtype Plug Source #

Memory-managed wrapper type.

Constructors

Plug (ManagedPtr Plug) |

#### Instances

Instances details

Eq Plug Source # |
Instance details Defined in GI.Atk.Objects.Plug Methods (==) :: Plug -> Plug -> Bool # (/=) :: Plug -> Plug -> Bool #
GObject Plug Source # |
Instance details Defined in GI.Atk.Objects.Plug
TypedObject Plug Source # |
Instance details Defined in GI.Atk.Objects.Plug Methods glibType :: IO GType Source #
ManagedPtrNewtype Plug Source # |
Instance details Defined in GI.Atk.Objects.Plug Methods toManagedPtr :: Plug -> ManagedPtr Plug Source #
IsGValue Plug Source # | Convert `Plug` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Atk.Objects.Plug Methods toGValue :: Plug -> IO GValue Source # fromGValue :: GValue -> IO Plug Source #
HasParentTypes Plug Source # |
Instance details Defined in GI.Atk.Objects.Plug
type ParentTypes Plug Source # |
Instance details Defined in GI.Atk.Objects.Plug type ParentTypes Plug = '[Object, Object, Component]

class (GObject o, IsDescendantOf Plug o) => IsPlug o Source #

Type class for types which can be safely cast to `Plug`, for instance with `toPlug`.

#### Instances

Instances details

(GObject o, IsDescendantOf Plug o) => IsPlug o Source # |
Instance details Defined in GI.Atk.Objects.Plug

toPlug :: (MonadIO m, IsPlug o) => o -> m Plug Source #

Cast to `Plug`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## Overloaded methods

## getId

plugGetId Source #

Arguments

:: (HasCallStack, MonadIO m, IsPlug a) |
=> a | `plug`: an `Plug`
-> m Text | Returns: the unique ID for the plug

Gets the unique ID of an `Plug` object, which can be used to embed inside of an `Socket` using `socketEmbed`.

Internally, this calls a class function that should be registered by the IPC layer (usually at-spi2-atk). The implementor of an `Plug` object should call this function (after atk-bridge is loaded) and pass the value to the process implementing the `Socket`, so it could embed the plug.

Since: 1.30

## new

plugNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Plug | Returns: the newly created `Plug`

Creates a new `Plug` instance.

Since: 1.30

## setChild

plugSetChild Source #

Arguments

:: (HasCallStack, MonadIO m, IsPlug a, IsObject b) |
=> a | `plug`: an `Plug` to be set as accessible parent of `child`.
-> b | `child`: an `Object` to be set as accessible child of `plug`.
-> m () |

Sets `child` as accessible child of `plug` and `plug` as accessible parent of `child`. `child` can be NULL.

In some cases, one can not use the AtkPlug type directly as accessible object for the toplevel widget of the application. For instance in the gtk case, GtkPlugAccessible can not inherit both from GtkWindowAccessible and from AtkPlug. In such a case, one can create, in addition to the standard accessible object for the toplevel widget, an AtkPlug object, and make the former the child of the latter by calling `plugSetChild`.

Since: 2.35.0